Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.parser
Class MatchFieldDef

    java.lang.Object
      com.sun.mdm.index.parser.MatchFieldDef

public class MatchFieldDef
extends java.lang.Object

Nested Class Summary
`class` | `MatchFieldDef.Encoder`
`class` | `MatchFieldDef.FreeFormGroup`
`class` | `MatchFieldDef.Group`
`static class` | `MatchFieldDef.LocaleCode`
`class` | `MatchFieldDef.MatchColumn`
`(package private) class` | `MatchFieldDef.MatchingConfig`
`(package private) class` | `MatchFieldDef.MEFAConfig`
`class` | `MatchFieldDef.NormalizationGroup`
`class` | `MatchFieldDef.PhoneticEncodersConfig`
`class` | `MatchFieldDef.PhoneticizeField`
`class` | `MatchFieldDef.SourceMapping`
`(package private) class` | `MatchFieldDef.StandardizationConfig`
`class` | `MatchFieldDef.TargetMapping`

Field Summary
`static java.lang.String` | `MULTIPLE_DOMAIN_SELECTOR`
`static java.lang.String` | `SINGLE_DOMAIN_SELECTOR_AU`
`static java.lang.String` | `SINGLE_DOMAIN_SELECTOR_FR`
`static java.lang.String` | `SINGLE_DOMAIN_SELECTOR_UK`
`static java.lang.String` | `SINGLE_DOMAIN_SELECTOR_US`

Constructor Summary
`MatchFieldDef()`

Method Summary
`void` | `addEncoder(java.lang.String encodingType, java.lang.String encoderImplementationClass)`
`void` | `addNormalizationGroup(java.lang.String standardizationType, java.lang.String domainSelector, java.lang.String localeFieldName, java.util.ArrayList localeCodeRows, java.lang.String unnormalizedFieldID, java.lang.String unnormalizedSourceField, java.lang.String normalizedFieldID, java.lang.String normalizedTargetField)`
`void` | `addPhoneticizedField(java.lang.String sourceFieldName, java.lang.String targetFieldId, java.lang.String encodingType)`
`void` | `addTargetMappingFreeFormGroup(java.lang.String standardizationType, java.lang.String fieldId, java.lang.String sourceField)`
`MatchFieldDef.FreeFormGroup` | `createFreeFormGroup(java.lang.String standardizationType)`
`void` | `deleteEncoderByEncodingType(java.lang.String encodingType)`
`void` | `deleteFreeFormGroup(java.lang.String standardizationType)`
`void` | `deleteNormalizationGroup(java.lang.String standardizationType, java.lang.String unnormalizedFieldID, java.lang.String unnormalizedSourceField, java.lang.String normalizedFieldID, java.lang.String normalizedTargetField)`
`void` | `deletePhoneticizedField(java.lang.String sourceFieldName, java.lang.String targetFieldId, java.lang.String encodingType)`
`void` | `deleteTargetMapping(java.lang.String standardizationType, java.lang.String fieldId, java.lang.String sourceField)`
`java.util.ArrayList` | `getAllGroups()`
`MatchFieldDef.Encoder` | `getEncoderByEncodingType(java.lang.String encodingType)`
`java.util.ArrayList` | `getEncoders()`
`MatchFieldDef.FreeFormGroup` | `getFreeFormGroup(java.lang.String standardizationType)`
`java.util.ArrayList` | `getFreeFormGroups()`
`java.util.ArrayList` | `getMatchColumns()`
`java.lang.String` | `getMatchFieldId(java.lang.String fieldName)`
`java.util.ArrayList` | `getMatchFieldIdsSelected(java.lang.String fieldName)`
`java.lang.String` | `getMatchingConfigXML()`
`java.util.ArrayList` | `getMatchOutputFields(java.lang.String type, java.lang.String sourceField)`
`java.lang.String` | `getMatchType(java.lang.String columnName)`
`MatchFieldDef.NormalizationGroup` | `getNormalizationGroup(java.lang.String standardizationType, java.lang.String unnormalizedFieldID, java.lang.String unnormalizedSourceField, java.lang.String normalizedFieldID, java.lang.String normalizedTargetField)`
`java.util.ArrayList` | `getNormalizationGroups()`
`MatchFieldDef.PhoneticEncodersConfig` | `getPhoneticEncodersConfig()`
`MatchFieldDef.PhoneticizeField` | `getPhoneticizedField(java.lang.String sourceFieldName, java.lang.String targetFieldId, java.lang.String encodingType)`
`java.util.ArrayList` | `getPhoneticizeFields()`
`java.lang.String` | `getXMLString()` return XML String for this QueryType
`boolean` | `isModified()`
`void` | `parse(org.w3c.dom.Node node)`
`(package private) void` | `print()` print
`void` | `setModified(boolean flag)`
`void` | `updateMatchType(java.lang.String columnName, java.lang.String matchType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MULTIPLE_DOMAIN_SELECTOR

    public static final java.lang.String MULTIPLE_DOMAIN_SELECTOR

See Also:
  Constant Field Values

### SINGLE_DOMAIN_SELECTOR_AU

    public static final java.lang.String SINGLE_DOMAIN_SELECTOR_AU

See Also:
  Constant Field Values

### SINGLE_DOMAIN_SELECTOR_FR

    public static final java.lang.String SINGLE_DOMAIN_SELECTOR_FR

See Also:
  Constant Field Values

### SINGLE_DOMAIN_SELECTOR_UK

    public static final java.lang.String SINGLE_DOMAIN_SELECTOR_UK

See Also:
  Constant Field Values

### SINGLE_DOMAIN_SELECTOR_US

    public static final java.lang.String SINGLE_DOMAIN_SELECTOR_US

See Also:
  Constant Field Values

Constructor Detail

### MatchFieldDef

    public MatchFieldDef()

Method Detail

### addEncoder

    public void addEncoder(java.lang.String encodingType,
                           java.lang.String encoderImplementationClass)

### addNormalizationGroup

    public void addNormalizationGroup(java.lang.String standardizationType,
                                      java.lang.String domainSelector,
                                      java.lang.String localeFieldName,
                                      java.util.ArrayList localeCodeRows,
                                      java.lang.String unnormalizedFieldID,
                                      java.lang.String unnormalizedSourceField,
                                      java.lang.String normalizedFieldID,
                                      java.lang.String normalizedTargetField)

### addPhoneticizedField

    public void addPhoneticizedField(java.lang.String sourceFieldName,
                                     java.lang.String targetFieldId,
                                     java.lang.String encodingType)

### addTargetMappingFreeFormGroup

    public void addTargetMappingFreeFormGroup(java.lang.String standardizationType,
                                              java.lang.String fieldId,
                                              java.lang.String sourceField)

### createFreeFormGroup

    public MatchFieldDef.FreeFormGroup createFreeFormGroup(java.lang.String standardizationType)

### deleteEncoderByEncodingType

    public void deleteEncoderByEncodingType(java.lang.String encodingType)

### deleteFreeFormGroup

    public void deleteFreeFormGroup(java.lang.String standardizationType)

### deleteNormalizationGroup

    public void deleteNormalizationGroup(java.lang.String standardizationType,
                                         java.lang.String unnormalizedFieldID,
                                         java.lang.String unnormalizedSourceField,
                                         java.lang.String normalizedFieldID,
                                         java.lang.String normalizedTargetField)

### deletePhoneticizedField

    public void deletePhoneticizedField(java.lang.String sourceFieldName,
                                        java.lang.String targetFieldId,
                                        java.lang.String encodingType)

### deleteTargetMapping

    public void deleteTargetMapping(java.lang.String standardizationType,
                                    java.lang.String fieldId,
                                    java.lang.String sourceField)

### getAllGroups

    public java.util.ArrayList getAllGroups()

### getEncoderByEncodingType

    public MatchFieldDef.Encoder getEncoderByEncodingType(java.lang.String encodingType)

### getEncoders

    public java.util.ArrayList getEncoders()

### getFreeFormGroup

    public MatchFieldDef.FreeFormGroup getFreeFormGroup(java.lang.String standardizationType)

### getFreeFormGroups

    public java.util.ArrayList getFreeFormGroups()

### getMatchColumns

    public java.util.ArrayList getMatchColumns()

### getMatchFieldId

    public java.lang.String getMatchFieldId(java.lang.String fieldName)

### getMatchFieldIdsSelected

    public java.util.ArrayList getMatchFieldIdsSelected(java.lang.String fieldName)

### getMatchingConfigXML

    public java.lang.String getMatchingConfigXML()

### getMatchOutputFields

    public java.util.ArrayList getMatchOutputFields(java.lang.String type,
                                                    java.lang.String sourceField)

### getMatchType

    public java.lang.String getMatchType(java.lang.String columnName)

### getNormalizationGroup

    public MatchFieldDef.NormalizationGroup getNormalizationGroup(java.lang.String standardizationType,
                                                                  java.lang.String unnormalizedFieldID,
                                                                  java.lang.String unnormalizedSourceField,
                                                                  java.lang.String normalizedFieldID,
                                                                  java.lang.String normalizedTargetField)

### getNormalizationGroups

    public java.util.ArrayList getNormalizationGroups()

### getPhoneticEncodersConfig

    public MatchFieldDef.PhoneticEncodersConfig getPhoneticEncodersConfig()

### getPhoneticizedField

    public MatchFieldDef.PhoneticizeField getPhoneticizedField(java.lang.String sourceFieldName,
                                                               java.lang.String targetFieldId,
                                                               java.lang.String encodingType)

### getPhoneticizeFields

    public java.util.ArrayList getPhoneticizeFields()

### getXMLString

    public java.lang.String getXMLString()

  return XML String for this QueryType

### isModified

    public boolean isModified()

### parse

    public void parse(org.w3c.dom.Node node)

### print

    void print()

  print

### setModified

    public void setModified(boolean flag)

### updateMatchType

    public void updateMatchType(java.lang.String columnName,
                                java.lang.String matchType)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.